> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liquidrewardsapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Affiliate Discovery Product Details



## OpenAPI

````yaml https://rewardsbot-prod.liquidrewardsapi.com/openapi.discovery.json get /v1/discovery/products/{slug}
openapi: 3.1.0
info:
  title: RewardsBot Affiliate Discovery API
  description: Affiliate discovery search, detail, and related workflows.
  version: 2.0.0
servers: []
security: []
paths:
  /v1/discovery/products/{slug}:
    get:
      tags:
        - affiliate-discovery
      summary: Get Affiliate Discovery Product Details
      operationId: get_affiliate_discovery_product_details_v1_discovery_products__slug__get
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AffiliateDiscoveryProductDetailResponse'
        '403':
          description: Missing API key.
        '404':
          description: Product slug or backing ranking session not found.
        '410':
          description: Product slug or backing ranking session has expired.
        '416':
          description: Product slug page or item is out of range.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '503':
          description: Affiliate Discovery API is not configured.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AffiliateDiscoveryProductDetailResponse:
      properties:
        type:
          type: string
          const: product_detail
          title: Type
          default: product_detail
        item:
          $ref: '#/components/schemas/AffiliateDiscoveryProduct'
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
      type: object
      required:
        - item
      title: AffiliateDiscoveryProductDetailResponse
      x-contract-version: 2.0.0
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AffiliateDiscoveryProduct:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        image_url:
          type: string
          title: Image Url
        product_url:
          type: string
          title: Product Url
        merchant_url:
          type: string
          title: Merchant Url
        price:
          $ref: '#/components/schemas/AffiliateDiscoveryPrice'
        merchant:
          anyOf:
            - $ref: '#/components/schemas/AffiliateDiscoveryMerchant'
            - type: 'null'
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        availability:
          anyOf:
            - type: string
            - type: 'null'
          title: Availability
      type: object
      required:
        - id
        - name
        - description
        - image_url
        - product_url
        - merchant_url
        - price
      title: AffiliateDiscoveryProduct
      x-contract-version: 2.0.0
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AffiliateDiscoveryPrice:
      properties:
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        regular_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Regular Value
        final_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Final Value
        on_sale:
          anyOf:
            - type: boolean
            - type: 'null'
          title: On Sale
        sale_discount:
          anyOf:
            - type: number
            - type: 'null'
          title: Sale Discount
      type: object
      title: AffiliateDiscoveryPrice
      x-contract-version: 2.0.0
    AffiliateDiscoveryMerchant:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
      type: object
      title: AffiliateDiscoveryMerchant
      x-contract-version: 2.0.0
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````